net.sf.jasperreports.data.bean

## Class BeanDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.AbstractClasspathAwareDataAdapter
    - - net.sf.jasperreports.data.bean.BeanDataAdapterImpl

- All Implemented Interfaces:
    BeanDataAdapter, ClasspathAwareDataAdapter, DataAdapter

      public class BeanDataAdapterImpl
      extends AbstractClasspathAwareDataAdapter
      implements BeanDataAdapter

  Version:
    $Id: BeanDataAdapterImpl.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFactoryClass()`
    `java.lang.String` | `getMethodName()`
    `boolean` | `isUseFieldDescription()`
    `void` | `setFactoryClass(java.lang.String factoryClass)`
    `void` | `setMethodName(java.lang.String methodName)`
    `void` | `setUseFieldDescription(boolean isUseFieldDescription)`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.ClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### BeanDataAdapterImpl

          public BeanDataAdapterImpl()

  - ### Method Detail

    - #### isUseFieldDescription

          public boolean isUseFieldDescription()

      Specified by:
        `isUseFieldDescription` in interface `BeanDataAdapter`

    - #### setUseFieldDescription

          public void setUseFieldDescription(boolean isUseFieldDescription)

      Specified by:
        `setUseFieldDescription` in interface `BeanDataAdapter`

    - #### getFactoryClass

          public java.lang.String getFactoryClass()

      Specified by:
        `getFactoryClass` in interface `BeanDataAdapter`

    - #### setFactoryClass

          public void setFactoryClass(java.lang.String factoryClass)

      Specified by:
        `setFactoryClass` in interface `BeanDataAdapter`

    - #### getMethodName

          public java.lang.String getMethodName()

      Specified by:
        `getMethodName` in interface `BeanDataAdapter`

    - #### setMethodName

          public void setMethodName(java.lang.String methodName)

      Specified by:
        `setMethodName` in interface `BeanDataAdapter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com